Subject: Re: [PATCH 1/1] ring-buffer: buffer record on/off switch

From: Ingo Molnar <[email-masked]>
Date: Tue, 11 Nov 2008 22:08:31 +0100

* Steven Rostedt <[email-masked]> wrote:

> 
> On Tue, 11 Nov 2008, Andrew Morton wrote:
> 
> > On Tue, 11 Nov 2008 15:06:02 -0500
> > Steven Rostedt <[email-masked]> wrote:
> > 
> > > +static struct file_operations rb_simple_fops = {
> > 
> > should be const...
> > 
> > Probably it isn't worth fixing.  Someone(tm) should do period sweeps -
> > 10% of our file_operationses aren't const.
> 
> Thanks, I never really thought about it.
> 
> I'll add to my todo list to send out a patch that cleans all of this 
> up. I think I'm guilty at doing this in more than one place.

Perhaps checkpatch.pl could remind us about it? a new file_operations 
struct definition should be const in 99.9% of the cases.

	Ingo